
=encoding utf8

=head1 NAME

Sidef::Types::Regex::Regex

=head1 DESCRIPTION

This class implements ...

=head1 SYNOPSIS

var obj = Regex(...)


=head1 INHERITS

Inherits methods from:

       * Sidef::Object::Object

=head1 METHODS

=head2 +

    a + b

Returns the

Aliases: I<add>, I<concat>

=cut

=head2 <

    a < b

Returns the

Aliases: I<lt>

=cut

=head2 <=>

    a <=> b

Returns the

Aliases: I<cmp>

=cut

=head2 ==

    a == b

Returns the

Aliases: I<eq>

=cut

=head2 =~

    a =~ b

Returns the

Aliases: I<run>, I<match>

=cut

=head2 >

    a > b

Returns the

Aliases: I<gt>

=cut

=head2 |

    a | b

Returns the

Aliases: I<union>

=cut

=head2 ≠

    a ≠ b

Returns the

Aliases: I<!=>, I<ne>

=cut

=head2 ≤

    a ≤ b

Returns the

Aliases: I<E<lt>=>, I<le>

=cut

=head2 ≥

    a ≥ b

Returns the

Aliases: I<E<gt>=>, I<ge>

=cut

=head2 call

    self.call

Returns the

=cut

=head2 gmatch

    self.gmatch(obj, pos)

Returns the

Aliases: I<global_match>

=cut

=head2 gmatches

    self.gmatches(obj, third, fourth)

Returns the

Aliases: I<all_matches>, I<map_matches>, I<global_matches>, I<repeated_match>

=cut

=head2 to_re

    self.to_re

Returns the

Aliases: I<to_regex>

=cut

=head2 to_s

    self.to_s

Returns the

Aliases: I<dump>, I<to_str>

=cut
